Skip to content

Create a new practice management system

Request

Security
bearer
Bodyapplication/jsonrequired
titlestringrequired

The title of the practice management system

Example:"OpenDental"
isCloudBasedboolean

Indicates whether the practice management system is cloud based

Example:true
isEnabledboolean

Indicates whether the practice management system is enabled

Example:true
industryTypestringrequired

The industry type this practice management system serves

Enum:"DENTAL""ANIMAL_HEALTH"
Example:"DENTAL"
curl -i -X POST \
  https://docs.axiomera.com/_mock/apis/heydonto/openapi/practice-management-system \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "OpenDental",
    "isCloudBased": true,
    "isEnabled": true,
    "industryType": "DENTAL"
  }'

Responses

Practice management system created successfully.

Bodyapplication/json
titlestringrequired

The title of the practice management system

Example:"OpenDental"
isCloudBasedboolean

Indicates whether the practice management system is cloud based

Example:true
isEnabledboolean

Indicates whether the practice management system is enabled

Example:true
industryTypestringrequired

The industry type this practice management system serves

Enum:"DENTAL""ANIMAL_HEALTH"
Example:"DENTAL"
idnumberrequired

The ID of the practice management system to be updated

Example:123
createdAtstringrequired

The date the practice management system was created

Example:"2021-07-01T00:00:00.000Z"
updatedAtstringrequired

The date the practice management system was last updated

Example:"2021-07-01T00:00:00.000Z"
Response
{ "title": "OpenDental", "isCloudBased": true, "isEnabled": true, "industryType": "DENTAL", "id": 123, "createdAt": "2021-07-01T00:00:00.000Z", "updatedAt": "2021-07-01T00:00:00.000Z" }